please remove clutch package from intrepid, merged upstream

Bug #280497 reported by Daniel Hollocher on 2008-10-09
4
Affects Status Importance Assigned to Milestone
Transmission
Invalid
Undecided
Unassigned
clutch (Ubuntu)
Wishlist
Unassigned
Nominated for Intrepid by Daniel Hollocher
transmission (Ubuntu)
Undecided
Unassigned
Nominated for Intrepid by Daniel Hollocher

Bug Description

Here is the announcement:
http://forum.transmissionbt.com/viewtopic.php?f=8&t=5517&sid=e70214c71968f74a2bb77aaeb01f68df

This package is no longer supported upstream, as it is now part of transmission. This package should only be made available if transmission is less than version 1.3, and intrepid has 1.34

Changed in clutch:
importance: Undecided → Wishlist
James Westby (james-w) wrote :

Hi,

Thanks for the information.

Is the "transmission" package now a drop in replacement for the
"clutch" package? If I had a working setup of the clutch package
before what do I need to change to get a working setup from the
transmission package?

Should we transition people who have clutch installed to having
transmission installed?

Thanks,

James

Daniel Hollocher (chogydan) wrote :

Its my understanding (from reading the forum posting) that not only does the transmission package contain clutch, but also contains a newer version which will conflict with the one contained in the clutch-package.

The clutch-package requires transmission version less than 1.3, and breaks versions 1.3 and greater.

As a side story, I ran across this situation talking to someone on IRC, who was a user of clutch, and could not get it working with the new transmission. I've never used clutch-package myself, but I tested the web interface in transmission (the integrated clutch) and it seemed to work fine. So this kinda confirms what I see on the forum posting.

As for a valid upgrade path, I think the major difference between the old clutch and the new clutch is that the new clutch has a built in webserver. So, the new (versions greater than 1.3) transmission package should conflict with the package clutch, the clutch package should be removed from the intrepid repos.
This would cause the old clutch package to be removed. Any webserver configuration that people did to get that old clutch working, will have to be removed manually, since it was put in place manually in the first place? I dunno.

Dan

PS - you can look at the relevant IRC logs here: http://irclogs.ubuntu.com/2008/10/09/%23ubuntu+1.html Just do a search for clutch. Its between me(danbh_intrepid) and chamunks (there really isn't much to see. He just says he can't get it working, and I offer to take a look. If I ever see chamunks again, I'll ask him to comment on this bug report.)

"Its my understanding (from reading the forum posting) that not only does the transmission package contain clutch, but also contains a newer version which will conflict with the one contained in the clutch-package.

The clutch-package requires transmission version less than 1.3, and breaks versions 1.3 and greater."

Neither of these hold true at the moment - do we need a new upstream release for this to happen? Transmission does not depend, conflict, or replace any version of clutch, or vice versa - apart from clutch depending on transmission-cli at present. Presumably these conflicts / replaces need to be added manually?

Changed in clutch:
status: New → Incomplete
Daniel Hollocher (chogydan) wrote :

Regarding your setting the bug as incomplete, I'm not sure what you are looking for. As far as I can tell, the package clutch should never have been included in intrepid. I think it was some mistake or something. Notice that the version of clutch in hardy is the same as in intrepid. I think someone must have just pushed it to intrepid, without realizing that it should not have been.

Here is what I think should be done: Clutch should be deleted, and you may want to change the transmission package dependencies in such a way that the hardy clutch package is removed when upgrading to intrepid, since clutch is now integrated into transmission, and the old clutch will not work with the new transmission.

I'm still unclear as to what more information you need.

If you have not read the linked to forum posting, then you may not realize that clutch originally was a kind of 3rd party extension of Transmission. Now, its part of transmission.

Fixed transmission, please remove clutch.

Changed in clutch:
status: Incomplete → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package transmission - 1.34-0ubuntu2

---------------
transmission (1.34-0ubuntu2) intrepid; urgency=low

  * Added replaces & provides clutch (now included as part of transmission)
  * (LP: #280497)

 -- Sarah Hobbs <email address hidden> Sun, 12 Oct 2008 11:25:54 +1100

Changed in transmission:
status: New → Fix Released
Steve Kowalik (stevenk) wrote :

2008-10-12 01:37:14 INFO Removing candidates:
2008-10-12 01:37:14 INFO clutch 0.4-0ubuntu5 in intrepid
2008-10-12 01:37:14 INFO clutch 0.4-0ubuntu5 in intrepid amd64
2008-10-12 01:37:14 INFO clutch 0.4-0ubuntu5 in intrepid hppa
2008-10-12 01:37:14 INFO clutch 0.4-0ubuntu5 in intrepid i386
2008-10-12 01:37:14 INFO clutch 0.4-0ubuntu5 in intrepid ia64
2008-10-12 01:37:14 INFO clutch 0.4-0ubuntu5 in intrepid lpia
2008-10-12 01:37:14 INFO clutch 0.4-0ubuntu5 in intrepid powerpc
2008-10-12 01:37:14 INFO clutch 0.4-0ubuntu5 in intrepid sparc
2008-10-12 01:37:14 INFO Removed-by: Steve Kowalik
2008-10-12 01:37:14 INFO Comment: Not required with new transmission, LP: #280497
2008-10-12 01:37:14 INFO 8 packages successfully removed.

Changed in clutch:
status: Triaged → Fix Released
Martin Pitt (pitti) on 2008-10-13
Changed in transmission:
status: New → Invalid
Jason Sievert (jsievert) wrote :

On the old clutch package there was a init script provided that made it real easy to run it on a headless system. Any thoughts on providing something like that again with the new transmission package to get this back?

Daniel Hollocher (chogydan) wrote :

Hi Jason,
Its my understanding that the new version of clutch was a bit of a rewrite, with the most significant change being that it has built in web serving capabilities. Before, you needed to install clutch, transmission, a web server, and then configure it. That may be what that script was a part of.

I'm looking at the man page for transmission-daemon, and it looks like all you need to do is install the transmission-cli package, and start transmission-daemon with whatever options you want (specifically, the -p option at a minimum).

Does that work?

Jason Sievert (jsievert) wrote :

That kinda works. What was nice about the old init script was that it started right away as boot up. This is most useful if you run transmission on a headless system like me. I did find a init scrip/example for Debian on the trac site for transmission that I did get to work.

http://trac.transmissionbt.com/wiki/HeadlessUsageDebian

This might fit a limited amount of people but if you dive into the forum you will see people asking about it.

Daniel Hollocher (chogydan) wrote :

I think you should file a separate bug report, and link all the relevant info.

Personally, I'm totally ignorant on all the runlevel and startup stuff.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers